/* BLOCK: Chargers by Area */

.block-chargers-by-area .head {
    display: flex;
    align-items: flex-end;
    gap: 2.5rem;
    margin-bottom: 6.25rem;
}

.block-chargers-by-area .head-title {
    display: flex;
    gap: 1.5625rem;
}

.block-chargers-by-area .head-title svg {
    height: 3.125rem;
    width: auto;
    color: var(--c-bg-dark-tint-2);
}

.block-chargers-by-area .head .btn--my-location {
    margin-left: auto;
    padding: 1.5rem 2rem;
}

.block-chargers-by-area .accordion {
    border-radius: 1.5625rem;
    padding-inline: 3.125rem;
    border: none;
}

.block-chargers-by-area .accordion:not(:last-child) {
    margin-bottom: 1.25rem;
}

.block-chargers-by-area .accordion .ac-trigger {
    padding-block: 2.5rem;
    /* border-bottom: 1px solid rgb(from var(--c-text-dark) r g b / .15); */
}

.block-chargers-by-area .accordion .ac-title {
    font-size: var(--font-26-18);
    transition: color 200ms ease-out;
}

.block-chargers-by-area .accordion .ac-icon {
    width: auto;
    height: auto;
    transition: transform 200ms ease-out;
}

.block-chargers-by-area .accordion .ac-icon svg {
    color: var(--c-primary);
    width: 1.5rem;
    height: 0.75rem;
}

.block-chargers-by-area .accordion .ac-icon::before,
.block-chargers-by-area .accordion .ac-icon::after {
    content: unset;
}

.block-chargers-by-area .accordion .ac-state:checked ~ .ac-trigger .ac-title {
    color: var(--c-primary);
}

.block-chargers-by-area .accordion .ac-state:checked ~ .ac-trigger .ac-icon {
    transform: rotate(-180deg);
}

.block-chargers-by-area .accordion .ac-state:checked ~ .ac-content .ac-content-inner {
    padding: 0;
}

.block-chargers-by-area .links-list {
    margin-block: 2.5rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1.25rem;
}

.block-chargers-by-area .links-list a {
    text-decoration: none;
}

.block-chargers-by-area .accordion .ac-state:checked ~ .ac-trigger {
    border-bottom: 1px solid rgb(from var(--c-text-dark) r g b / .15);
}

@media screen and (width <= 920px) {
    .block-chargers-by-area .links-list {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (width <= 620px) {
    .block-chargers-by-area .head {
        justify-content: center;
        margin-bottom: 3.125rem;
    }
    .block-chargers-by-area .head-title {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 1.25rem;
    }
    .block-chargers-by-area .head-title svg {
        height: 1.75rem;
    }
    .block-chargers-by-area .accordion {
        padding-inline: 1.375rem;
        border-radius: 1.125rem;
    }
    .block-chargers-by-area .accordion:not(:last-child) {
        margin-bottom: 0.75rem;
    }
    .block-chargers-by-area .accordion .ac-trigger {
        padding-block: 1.375rem;
    }
    .block-chargers-by-area .accordion .ac-icon svg {
        width: 0.875rem;
        height: 0.5rem;
    }
    .block-chargers-by-area .links-list {
        grid-template-columns: repeat(1, 1fr);
        gap: 0.9375rem;
        margin-block: 1.375rem;
    }
    .block-chargers-by-area .cta-buttons {
        justify-content: center;
        margin-top: 3.125rem;
    }
}

@media screen and (width <= 420px) {
    .block-chargers-by-area .head-title {
        max-width: 17.25rem;
    }
}